<div class="product-sales-area">
  <div class="container-fluid custom_container_fluid_padding">
    <div class="row">
      <div class="col-sm-12">
        <h4 class="page-title">Reviews</h4>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card-box">
          <div class="custom_Search_panel">
            <div class="row">
              <div class="col-md-6 noPadding_xs">
                <div class="search-box">
                  <i class="fa fa-search"></i>
                  <input type="text" id="myInput" class="form-control" placeholder="Search Here..." />
                </div>
              </div>
              <div class="col-md-6 text-right mobile_text_align noPadding_xs">
                <!-- <label style="width: 100%;">&nbsp;</label> -->
                <div class="show_entries">
                  <span class="show_text">Show</span>
                  <select class="form-control">
                    <option>10</option>
                    <option>20</option>
                    <option>30</option>
                  </select>
                  <span class="entries_text">entries</span>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <div class="table-responsive">
                <!--KENDO GRID START-->

                <kendo-grid [data]="reviewGriddata" height="auto" [pageSize]="pageSize" [sort]="sort" [skip]="state.skip"
                  (sortChange)="sortReviewChange($event)" [filter]="state.filter" [pageable]="true" scrollable="true"
                  [resizable]="true" [reorderable]="true" (dataStateChange)="reviewDataStateChange($event)">


                  <kendo-grid-column field="reviewDate" title="Review Date"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.reviewDate}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="title" title="Title"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.category.title}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="seller" title="Seller"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.seller}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="reviewBy" title="Review By"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'100px'}" [style]="{'width':'100px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.reviewBy}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>

                  <kendo-grid-column field="comments" title="Comments"
                    [headerStyle]="{'height':'40px','text-align':'left','width':'160px'}" [style]="{'width':'160px'}">
                    <ng-template kendoGridCellTemplate let-index="dataItem">
                      <div class="row">
                        <div class="col-md-12 row_padding text-left noPadding_xs">
                          <div>
                            {{index.comments}}
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </kendo-grid-column>
                </kendo-grid>
                <!--KENDO GRID-->
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6 col-xs-12">
              <h5 class="showing_entries_class">Showing 1 to 5 of 5 entries</h5>
            </div>
            <div class="col-md-6 col-xs-12 text-right mobile_text_align">
              <nav aria-label="Page navigation example">
                <ul class="pagination">
                  <li class="page-item"><a class="page-link" href="#">Previous</a></li>
                  <li class="page-item"><a class="page-link" href="#">1</a></li>
                  <li class="page-item"><a class="page-link" href="#">Next</a></li>
                </ul>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>